--!parent
--!encoding=utf-8

--****************************************************************************
-- @file      LSW CORE LIB: FILESYSTEM
-- @author    Valentin Schmidt
-- @version   0.1
-- @requires  xtra("BinFile")
--****************************************************************************

----------------------------------------
-- @constructor
----------------------------------------
on new (me)
  me.$.loadXtras(me.libdir, ["BinFile.x32"], ["BinFile.xtra"])
  return me
end

-- files

on fileCopy (me, fromFn, toFn)
  return bx_file_copy(fromFn, toFn)
end

on fileDelete (me, fn)
  return bx_file_delete(fn)
end

on fileExists (me, fn)
  return bx_exists(fn)
end

on fileMove (me, fromFn, toFn)
  return bx_rename(fromFn, toFn)
end

on fileRecycle (me, fn)
	return bx_file_recycle(fn)
end

on fileRename (me, fromFn, toFn)
  return bx_rename(fromFn, toFn)
end

-- folders

on folderList (me, folderName)
  return bx_folder_get_contents(folderName)
end
